Levain LabsLevain Labs
API ReferenceSchedules

Get Schedule

Read a single schedule by id.

GET
/api/v1/schedules/{schedule_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

schedule_id*Schedule Id
Formatuuid

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "agent_id": "string",
  "agent_version_id": "string",
  "cron_expr": "string",
  "timezone": "string",
  "prompt": "string",
  "initial_state": {},
  "enabled": true,
  "next_fire_at": "string",
  "last_fired_at": "string",
  "last_run_id": "string",
  "created_at": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}